package Anvil::DB;

use Anvil::Config;
use DBI;

my $dbh;

sub 
get_dbh
{

	return $dbh if defined $dbh;

	$dbh = DBI->connect("DBI:mysql:database=$Anvil::Config::db_name;
                        host=$Anvil::Config::db_host",
                        $Anvil::Config::db_user,
                        $Anvil::Config::db_password,
                        {RaiseError => 1});

	$dbh->do("SET names utf8;");

	return $dbh;

}

sub
table_name
{
	my $t = shift @_;
	return $Anvil::Config::db_prefix . "_" . $t;
}


42;
