#!/usr/bin/perl -w

use UCW::CGI;
use Anvil::Common;
use Anvil::Comments;
use Anvil::Articles;
use strict;

my $art = $Anvil::Common::art;

Anvil::Common::go_404 unless $art;
Anvil::Common::go_404 unless -f "content/$art";

my $art_hr = Anvil::Articles::load_article($art);
my $cmt = Anvil::Comments::get_hash($art);

Anvil::Common::init();
Anvil::Common::print_top($art_hr->{'title'});

print $art_hr->heading;
print $art_hr->inline_abstract;
print $art_hr->{'text'};
print "\n";

print "<div class=\"comments_head\">\n";
print "<a href='", Anvil::Common::url('send', 'send' => 0), "'>Zaslat článek</a>" if defined $Anvil::User::uid;
print "</div>\n";

Anvil::Comments::print_comments($art, $cmt);

Anvil::Common::print_bottom;
